summaryrefslogtreecommitdiffstats
path: root/testcases/vPing/CI/libraries/ping.sh
diff options
context:
space:
mode:
authorjose.lausuch <jose.lausuch@ericsson.com>2016-01-19 11:53:39 +0100
committerjose.lausuch <jose.lausuch@ericsson.com>2016-01-20 00:03:53 +0100
commit625dde8e972f2586e986a46225ce87ebd3823b79 (patch)
treea2772d34ccaef8e3191251bcbf9dcbb19c35902e /testcases/vPing/CI/libraries/ping.sh
parentc102fcb9bbaf2ba691bcc22ca6969fff48211826 (diff)
Added vPing2 using SCP and SSH instead of nova userdata
Change-Id: I194f88a4d213e5ad2225241420a9254878f4f7f4 Signed-off-by: jose.lausuch <jose.lausuch@ericsson.com>
Diffstat (limited to 'testcases/vPing/CI/libraries/ping.sh')
-rw-r--r--testcases/vPing/CI/libraries/ping.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/testcases/vPing/CI/libraries/ping.sh b/testcases/vPing/CI/libraries/ping.sh
new file mode 100644
index 000000000..693b86825
--- /dev/null
+++ b/testcases/vPing/CI/libraries/ping.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+while true; do
+ ping -c 1 $1 2>&1 >/dev/null
+ RES=$?
+ if [ "Z$RES" = "Z0" ] ; then
+ echo 'vPing OK'
+ break
+ else
+ echo 'vPing KO'
+ fi
+ sleep 1
+done \ No newline at end of file